import { Button } from "antd"
import { api } from "@nice/client"
import React from "react"
import { useSport } from "@nice/client"
export default function Dashboard() {
  const { createSportStandard } = useSport()
  const handleCreateSportStandard = async () => {
    const res = await createSportStandard.mutateAsync({
      data: {
        projectId: "cm8o6jzp908bp846bv513aqvo",
        gender: true,
        personType: "STAFF",
        ageRanges: [
          { start: null, end: 24, label: "24岁以下" },
          { start: 24, end: 27, label: "25-27岁" },
          { start: 27, end: 30, label: "28-30岁" },
          { start: 30, end: null, label: "30岁以上" }
        ],
        scoreTable: {
          "100": [85, 81, 79, 77],
          "95": [74, 70, 68, 66],
          "90": [65, 61, 59, 57]
        }
      }
    } as any)
    console.log(res)
  }
  return (
    <div >
      数据看板（待开发）
      <Button type="primary" onClick={() => handleCreateSportStandard()}>创建体育项目</Button>
    </div>
  )
}